<?php

namespace TecFood\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use TecFood\Utilities\Util as Util;

class GeneralParametersController {
    protected $crudService;

    public function __construct($crudService, $util){
        $this->crudService   = $crudService;
        $this->util          = $util;
    }
    public function generalParameters(Request\Filter $request, Response $response) {
        try{
            $params = ['NRORG'];
            $conditions = $this->util->prepareConditions($params);
            $data = $this->crudService->getFilteredDataSet('paramgeral', $conditions)->getRows();
            $response->addDataSet(new DataSet("generalParameters", $data));
        } catch (\Exception $ex) {
            $response->setError(new Error($ex->getMessage(), 500));
        }
    }
}   